import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:tanami_app/core/routes/routes.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/appbar_widget.dart';

import '../../../../core/styles/app_color.dart';
import '../../../../shared/components/button_widget.dart';
import '../widgets/country_selection_list.dart';

class ChooseCountryLayout extends StatelessWidget {
  const ChooseCountryLayout({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      bottomNavigationBar: Container(
        margin: const EdgeInsets.symmetric(
          horizontal: 16,
          vertical: 35,
        ),
        width: 1.sw,
        height: 56.h,
        child: ButtonWidget().elevatedBtn(
          txtClr: AppColor.plainWhite,
          function: () {
            goRouter.pop();
          },
          text: AppText.confirmSelectionText,
          clr: AppColor.primaryColor2,
        ),
      ),
      appBar: const AppBarWidget(
        height: 75,
        titleTxt: AppText.chooseCountry,
      ),
      body: const CountrySelectionList(),
    );
  }
}
